Create KYB entity

Creates a KYB entity associated with the given account with status PROCESSING. If an entity already exists for the account, the existing entity_id is returned.

Securitytilia_auth
Request
path Parameters
account_id
required
string (AccountId) <= 36 characters

Tilia account ID with which the business entity will be associated

Example: acct_2TiDFXHVFMlAuyy7ovvz3YPKv9b
Request Body schema: application/json
required

KYB Entity Onboard Request

user_email
string

Email associated with the entity.

If left blank, the email associated with the account_id in the route will be used.

entity_name
required
string

Entity's legal name

jurisdiction
string
Deprecated

Accepted for backward compatibility but no longer used.

Responses
200

KYB entity created or already exists

400

Invalid input.

401

Unauthorized access.

500

Service unavailable or server error.

post/v1/entity/{account_id}/onboard
Request samples
application/json
{
  • "user_email": "testing@tilia.com",
  • "entity_name": "Tilia Entity",
  • "jurisdiction": "domestic"
}
Response samples
application/json
{
  • "status": "Success",
  • "message": null,
  • "codes": null,
  • "payload": {
    }
}